Attribute VB_Name = "WBKERNEL"
'
' Definice konstant a procedur jadra WinBase602 pro Visual Basic 32
'
' Verze ze dne 6. 5. 1998
'
'
' Cisla systemovych tabulek
'
Global Const TAB_TABLENUM = 0   ' cislo tabulky tabulek
Global Const OBJ_TABLENUM = 1   ' cislo tabulky objektu
Global Const USER_TABLENUM = 2  ' cislo tabulky uzivatelu
Global Const SRV_TABLENUM = 3   ' cislo tabulky serveru
Global Const REPL_TABLENUM = 4  ' cislo tabulky replikacnich pravidel
Global Const KEY_TABLENUM = 5   ' cislo tabulky verejnych klicu
'
' Atribut DELETED
'
Global Const DEL_ATTR_NUM = 0   ' cislo atributu "DELETED"
Global Const NOT_DELETED = 0    ' hodnoty atributu: zaznam neni zrusen
Global Const DELETED = 1        '                   zaznam je zrusen
Global Const RECORD_EMPTY = 2   '                   zaznam je uvolnen
'
' Atributy systemovych tabulek TABTAB A OBJTAB
'
Global Const OBJ_NAME_ATR = 3   ' Jmeno objektu, STRING delky 10 znaku
Global Const OBJ_CATEG_ATR = 4  ' Kategorie objektu, atribut typu CHAR
Global Const APPL_ID_ATR = 5    ' ID aplikace, k niz objekt patri, STRING delky 10 znaku
Global Const OBJ_DEF_ATR = 6    ' Definice objektu, atribut typu NOSPEC
Global Const OBJ_FLAGS_ATR = 7  ' Priznaky objektu, atribut typu SHORT
'
' Kategorie
'
Global Const CATEG_TABLE = 0        ' tabulka
Global Const CATEG_USER = 1         ' uzivatel
Global Const CATEG_VIEW = 2         ' pohled
Global Const CATEG_CURSOR = 3       ' dotaz
Global Const CATEG_PGMSRC = 4       ' text programu
Global Const CATEG_PGMEXE = 5       ' prelozeny program
Global Const CATEG_MENU = 6         ' menu
Global Const CATEG_APPL = 7         ' aplikace
Global Const CATEG_PICT = 8         ' obrazek
Global Const CATEG_GROUP = 9        ' skupina
Global Const CATEG_ROLE = 10        ' role
Global Const CATEG_CONNECTION = 11  ' ODBC spojeni
Global Const CATEG_RELATION = 12    ' relace
Global Const CATEG_DRAWING = 13     ' nakres
Global Const CATEG_GRAPH = 14       ' graf
Global Const CATEG_REPLREL = 15     ' replikacni vztah
Global Const CATEG_PROC = 16        ' rutina
Global Const CATEG_TRIGGER = 17     ' trigger
Global Const CATEG_SERVER = 26      ' replikacni server
Global Const CATEG_MASK = &H7F
Global Const IS_LINK = &H80         ' spojovaci objekt
Global Const CATEG_DIRCUR = 27      ' otevreny kurzor
'
' Struktura kernel_info
'
Type kernel_info
  version(6)         As Byte                       ' ASCIIZ oznaceni verze serveru
  logged             As Integer                    ' pocet prihlasenych uzivatelu
  blocksize          As Integer                    ' velikost clusteru
  freeblocks         As Long                       ' pocet volnych clusteru v alokacni tabulce
  frames             As Integer                    ' pocet pametovych ramu
  fixed_pages        As Integer                    ' pocet ramu s fixovanym obsahem
  rtp                As Byte                       ' provozni parametry
  diskspace          As Long                       ' mnozstvi volneho mista na disku
  server_name(32)    As Byte                       ' jmeno serveru
  local_free_memory  As Long
  remote_free_memory As Long
  networking         As Integer
  Owned_cursors      As Integer
End Type
'
' Hodnota typu money
'
Type monstr
  money_lo2 As Integer
  money_hi4 As Long
End Type
'
' Hodnoty slozky "modtype" v zaznamu "modifrec"
'
Global Const MODSTOP = 0
Global Const MODLEN = 2
Global Const MODIND = 3
Global Const modint = 4
Global Const MODPTR = 5
Global Const MODINDPTR = 6

Type modifrec
  modtype As Byte
  word1   As Integer
  word2   As Integer
  word3   As Integer
End Type

Type modint
  modtype As Byte
  start   As Long
  size    As Integer
End Type
'
' Pristupova prava
'
Global Const RIGHT_READ = &H1
Global Const RIGHT_WRITE = &H2
Global Const RIGHT_APPEND = &H4
Global Const RIGHT_INSERT = &H4
Global Const RIGHT_DEL = &H8
Global Const RIGHT_NEW_READ = &H10  ' pridelovat k novym zaznamum pravo cist
Global Const RIGHT_NEW_WRITE = &H20 ' pridelovat k novym zaznamum pravo prepsat
Global Const RIGHT_NEW_DEL = &H40   ' pridelovat k novym zaznamum pravo zrusit
Global Const RIGHT_GRANT = &H80     ' universalni pravo poskytovat sva prava
'
' Hodnoty "NONE" ruznych typu
'
Global Const NONEBOOLEAN = &H80
Global Const NONECHAR = 0
Global Const NONEDATE = &H80000000
Global Const NONETIME = &H80000000
'Global Const NONEMONEY     nelze takto definovat, ma hodnotu 0,0,0,0,0,&H80
Global Const NONEINTEGER = &H80000000
Global Const NONESHORT = &H8000
Global Const NONEREAL = -1.7001E+308
Global Const NONESTRING = ""
Global Const NONEPTR = -1&
Global Const NORECNUM = -1&
'
' Cisla chyb
'
Global Const NO_ERROR = 0
Global Const ANS_OK = 0
Global Const NOT_ANSWERED = &HFF
Global Const BAD_MODIF = &H80
Global Const NO_RIGHT = &H81
Global Const BAD_ELEM_NUM = &H82
Global Const OUT_OF_TABLE = &H83                ' 02000
Global Const TABLE_FULL = &H84
Global Const CURSOR_MISUSE = &H85
Global Const BAD_OPCODE = &H86
Global Const CANNOT_APPEND = &H87
Global Const NOT_LOCKED = &H88
Global Const NO_DESTINATION_TAB = &H89
Global Const INDEX_OUT_OF_RANGE = &H8A
Global Const NOT_A_RECORD = &H8B
Global Const ERR_EMPTY = &H8C
Global Const NO_OBJECT = &H8D
Global Const BAD_PASSWORD = &H8E
Global Const PTR_TO_DELETED = &H8F
Global Const NIL_PTR = &H90
Global Const OUT_OF_KERNEL_MEMORY = &H91
Global Const TOO_MANY_CURSORS = &H92
Global Const IS_DELETED = &H93
Global Const BAD_CURDEF = &H94
Global Const OBJECT_NOT_FOUND = &H95
Global Const OUT_OF_APPL_MEMORY = &H96
Global Const BAD_DATA_SIZE = &H97
Global Const UNREADABLE_BLOCK = &H98
Global Const DEMO_VERSION = &H99
Global Const OUT_OF_BLOCKS = &H9A
Global Const REQUEST_BREAKED = &H9B
Global Const OS_FILE_ERROR = &H9D
Global Const INCOMPATIBLE_VERSION = &H9E
Global Const REJECTED_BY_KERNEL = &H9F
Global Const PROGRAM_ERROR = &HA0               ' 40002
Global Const NO_BITAB = &HA1
Global Const NO_MY_RIGHT = &HA2
Global Const IE_OUT_OF_DWORM = &HA3             ' interni chyba
Global Const IE_FRAME_OVERRUN = &HA4            ' interni chyba
Global Const IE_PAGING = &HA5                   ' interni chyba
Global Const IE_DOUBLE_PAGE = &HA6              ' interni chyba
Global Const IE_OUT_OF_BSTACK = &HA7            ' interni chyba
Global Const TABLE_DAMAGED = &HA8
Global Const CANNOT_LOCK_KERNEL = &HA9
Global Const END_OF_VOLUME_SPACE = &HAA         ' interni zprava
Global Const DEADLOCK = &HAB
Global Const KEY_DUPLICITY = &HAC               ' 40002
Global Const BAD_VERSION = &HAD
Global Const CHECK_CONSTRAIN = &HAE             ' 40002    
Global Const REFERENTIAL_CONSTRAIN = &HAF       ' 40002
Global Const UNPROPER_TYPE = &HB0
Global Const OUTER_JOIN_TOO_COMPLEX = &HB1
Global Const REQUEST_NESTING = &HB2
Global Const CANNOT_FOR_ODBC = &HB3
Global Const ERROR_IN_FUNCTION_ARG = &HB4
Global Const ODBC_CURSOR_NOT_OPEN = &HB5
Global Const DRIVER_NOT_CAPABLE = &HB6
Global Const TOO_COMPLEX_TRANS = &HB7
Global Const INTERNAL_SIGNAL = &HB8
Global Const PRIV_KEY_NOT_FOUND = &HB9
Global Const NO_WRITE_TOKEN = &HBA
Global Const WAITING_FOR_ACKN = &HBB
Global Const REPL_BLOCKED = &HBC
Global Const BAD_TOKEN_STATE = &HBD
Global Const BAD_TABLE_PROPERTIES = &HBE
Global Const INDEX_DAMAGED = &HBF
Global Const PASSWORD_EXPIRED = &HC0
Global Const NO_KEY_FOUND = &HC1
Global Const DIFFERENT_KEY = &HC2
Global Const SQ_INVALID_CURSOR_STATE = &HC4     ' 24000
Global Const SQ_SAVEPOINT_INVAL_SPEC = &HC5     ' 3B001
Global Const SQ_SAVEPOINT_TOO_MANY = &HC6       ' 3B002
Global Const SQ_TRANS_STATE_ACTIVE = &HC7       ' 25001
Global Const SQ_INVAL_TRANS_TERM = &HC8         ' 2D000
Global Const SQ_TRANS_STATE_RDONLY = &HC9       ' 25006
Global Const SQ_NUM_VAL_OUT_OF_RANGE = &HCa     ' 22003
Global Const SQ_INV_CHAR_VAL_FOR_CAST = &HCb    ' 22018
Global Const SQ_STRING_DATA_RIGHT_TRU = &HCc    ' 22001
Global Const SQ_DIVISION_BY_ZERO = &HCd         ' 22012
Global Const SQ_CARDINALITY_VIOLATION = &HCe    ' 21000
Global Const SQ_INVALID_ESCAPE_CHAR = &HCf      ' 22019
Global Const SQ_CASE_NOT_FOUND_STMT = &HD0      ' 20000
Global Const SQ_UNHANDLED_USER_EXCEPT = &HD1    ' 45000
Global Const SQ_RESIGNAL_HND_NOT_ACT = &HD2     ' 0K000
Global Const SQ_EXT_ROUT_NOT_AVAIL = &HD3       ' 38001
Global Const SQ_NO_RETURN_IN_FNC = &HD4         ' 2F001
Global Const COLUMN_NOT_EDITABLE = &HD5
Global Const SQ_TRIGGERED_ACTION = &HD6         ' 09000
Global Const REPLICATION_NOT_RUNNING = &HD7
Global Const REPL_MAIL_ERROR = &HD8
Global Const SQ_INVALID_CURSOR_NAME = &HD9      ' 34000

Global Const LAST_DB_ERROR = &HD9

Global Const FIRST_MAIL_ERROR = 500             ' chyby mail klienta
Global Const MAIL_NOT_INITIALIZED = 500
Global Const MAIL_ERROR = 501
Global Const MAIL_NOT_REMOTE = 502
Global Const MAIL_TYPE_INVALID = 503
Global Const MAIL_LOGON_FAILED = 504
Global Const MAIL_BAD_PROFILE = 50 = 5
Global Const MAIL_BAD_USERID = 506
Global Const MAIL_NO_ADDRESS = 507
Global Const FILE_NOT_FOUND = 508
'
' Cisla varovani
'
Global Const NO_WARNING = 0
Global Const WAS_IN_TRANS = 1
Global Const NOT_IN_TRANS = 2
Global Const IS_NOT_DEL = 4
Global Const IS_DEL = 8
Global Const IS_EMPTY = 16
Global Const NO_BIPTR = 32
Global Const INDEX_OOR = 64
Global Const DUPL_KEY = 96
Global Const IS_ERROR = 128
'
' Hodnoty vracene funkci link_kernel a interf_init
'
Global Const KSE_OK = 0                      ' bez chyby
Global Const KSE_WINDOWS = 1                 ' zahlcene Windows
Global Const KSE_INSTAL_PRESENT = 2          ' pracuje program WBINSTAL
Global Const KSE_ZALOHA_PRESENT = 3          ' pracuje program ZALOHA
Global Const KSE_WINEXEC = 4                 ' nelze spustit WBADMIN
Global Const KSE_NO_MEMORY = 5               ' neni dost pameti
Global Const KSE_NO_CONFIG = 6               ' nenalezen kofiguracni soubor WB.CNF
Global Const KSE_NO_FIL = 7                  ' jmeno serveru neni registrovano
Global Const KSE_DAMAGED = 8                 ' databaze je vazne poskozena
Global Const KSE_NO_ACCESS = 9               ' zahlceno databazove jadro
Global Const KSE_BAD_SIZE = 10               ' nesouhlas verzi (velka vs. mala)
Global Const KSE_BAD_VERSION = 11            ' chybna verze jadra
Global Const KSE_NETWORK_INIT = 12           ' nedari se inicializovat sit
Global Const KSE_QUIT = 13                   ' nevybran zadny server
Global Const KSE_NOSERVER = 14               ' nenalezen zadny server
Global Const KSE_CONNECTION = 15             ' nenavazano spojeni se serverem
Global Const KSE_NOTASK = 16                 ' nelze vytvorit dalsi instanci
Global Const KSE_WBNETMEM = 17               ' nelze spustit program WBNETMEM
Global Const KSE_MAXCLIENTS = 18             ' exceeded number of client instances
Global Const KSE_SPXNOTINSTALLED = 19        ' loaded IPX does nor support SPX, probably IPXODI /a
Global Const KSE_MAXCONNECTION = 20          ' not enough SPX connections, set in shell.cfg
Global Const KSE_MAXSESSION = 21             ' not enough NetBIOS sessions, see the installation guide
Global Const KSE_MAXNCB = 22                 ' not enough NetBIOS control blocks, see the installation guide
Global Const KSE_DBASE_OPEN = 23             ' database already open by another server
Global Const KSE_SERVER_NAME_USED = 24       ' v siti jiz bezi databazovy server stejneho jmena
Global Const KSE_START_THREAD = 25           ' nelze spustit dalsi vlakno
Global Const KSE_SYNCHRO_OBJ = 26            ' nelze vytvorit synchronizacni objekt
Global Const KSE_MAPPING = 27                ' nelze mapovat pametovy soubor
Global Const KSE_CREATE_THREAD = 28          ' nelze vytvorit vlakno pro obsluhu klienta
Global Const KSE_TIMEOUT = 29                ' primo dostupny server neodpovida
Global Const KSE_NO_WINSOCK = 30             ' knihovna winsock neni instalovana
Global Const KSE_WINSOCK_ERROR = 31          ' chyba pri praci se socketem
Global Const KSE_SERVER_NOT_KNOWN = 32       ' jmeno serveru neni registrovano
Global Const KSE_SERVER_PATH_NOT_SPECIF = 33 ' cesta k databazi serveru neni registrovana
Global Const KSE_NETBIOS_NAME = 34           ' nemohu pridat jmeno pro NetBIOS
Global Const KSE_FWNOTFOUND = 35             ' nenalezen firewall
Global Const KSE_FWCOMM = 36                 ' nelze komunikovat s firewallem
Global Const KSE_FWDENIED = 37               ' firewall odmitl vytvorit propojeni
Global Const KSE_BAD_PASSWORD = 38           ' chyba hesla k databazovemu souboru
Global Const KSE_ESCAPED = 39                ' upusteno od startu serveru
Global Const KSE_NO_IPX = 40                 ' protokol IPX neni k dispozici
Global Const KSE_EXPIRED = 41                ' skoncila pouzitelnost serveru
Global Const KSE_CANNOT_CREATE_FIL = 42      ' nelze vytvorit databazovy soubor
Global Const KSE_CANNOT_OPEN_FIL = 43        ' nelze otevrit databazovy soubor
Global Const KSE_CANNOT_OPEN_TRANS = 44      ' nelze otevrit transakcni soubor
Global Const KSE_LAST = 44

Global Const NOINDEX = &HFFFF                ' hodnota parametru index, nejde-li o multiatribut
Global Const NO_INDEX = &HFFFF                ' hodnota parametru index, nejde-li o multiatribut
Global Const MAX_PACKAGED_REQS = 25          ' max. pocet pozadavku v baliku
'
' interp vars
'
Global Const OBJ_NAME_LEN = 31               ' max. delka jmena databazovych objektu
Global Const OBJ_NAME_LEN1 = 32              ' max. delka jmena databazovych objektu + 1
Global Const MAX_INDVAL_LEN = 77
Global Const CURS_SQL = &H2000
Global Const CD_T_LEN = 1078
'
' procedury a funkce
'
' Sluzby jadra
'
Declare Sub cdp_free Lib "WBKERNEL.DLL" (ByVal cdp As Long)
Declare Sub CloseWBMail Lib "WBKERNEL.DLL" ()
Declare Sub concurrent Lib "WBKERNEL.DLL" (ByVal state As Integer)
Declare Sub Enable_task_switch Lib "WBKERNEL.DLL" (ByVal enable As Integer)
Declare Sub interf_close Lib "WBKERNEL.DLL" ()
Declare Sub LetterCancel Lib "WBKERNEL.DLL" (ByVal Letter As Long)
Declare Sub send_package Lib "WBKERNEL.DLL" ()
Declare Sub start_package Lib "WBKERNEL.DLL" ()
Declare Sub unlink_kernel Lib "WBKERNEL.DLL" ()
Declare Sub Upcase Lib "WBKERNEL.DLL" (ByVal Strn As String)

Declare Function Add_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, recs As Long, ByVal numofrecs As Integer) As Integer
Declare Function Am_I_db_admin Lib "WBKERNEL.DLL" () As Integer
Declare Function answered Lib "WBKERNEL.DLL" () As Integer
Declare Function Append Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Long
Declare Function Attribute_info Lib "WBKERNEL.DLL" (ByVal table As Integer, ByVal attrname As String, attrnum As Byte, attrtype As Byte, attrmult As Byte, attrspecif As Byte) As Integer
Declare Function Available_memory Lib "WBKERNEL.DLL" (ByVal floc As Integer) As Long
Declare Function Break Lib "WBKERNEL.DLL" () As Integer
Declare Function C_avg Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function C_count Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Long) As Integer
Declare Function C_max Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function C_min Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function C_sum Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function cdp_init_vb Lib "WBKERNEL.DLL" () As Long
Declare Function Close_cursor Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Integer
Declare Function Commit Lib "WBKERNEL.DLL" () As Integer
Declare Function Compact_database Lib "WBKERNEL.DLL" (ByVal margin As Long) As Integer
Declare Function Create2_link Lib "WBKERNEL.DLL" (ByVal sourcename As String, appl_id As Any, ByVal category As Integer, ByVal linkname As String) As Integer
Declare Function Compact_table Lib "WBKERNEL.DLL" (ByVal table As Integer) As Integer
Declare Function Create_link Lib "WBKERNEL.DLL" (ByVal sourcename As String, ByVal sourceappl As String, ByVal category As Integer, ByVal linkname As String) As Integer
Declare Function Create_group Lib "WBKERNEL.DLL" (ByVal GrpName As String) As Integer
Declare Function Create_user Lib "WBKERNEL.DLL" (ByVal logname As String, ByVal name1 As String, ByVal name2 As String, ByVal name3 As String, ByVal identif As String, homesrv As Any, ByVal password As String, objnum As Integer) As Integer
Declare Function Database_integrity Lib "WBKERNEL.DLL" (ByVal repair As Integer, lost_blocks As Long, lost_dheap As Long, nonex_blocks As Long, cross_link As Long, damaged_tabdef As Long) As Integer
Declare Function datetime2timestamp Lib "WBKERNEL.DLL" (ByVal dt As Long, ByVal tm As Long) As Long
Declare Function Day_of_week Lib "WBKERNEL.DLL" (ByVal dt As Long) As Integer
Declare Function Define_table Lib "WBKERNEL.DLL" (ByVal TbName As String, ByVal Description As String) As Integer
Declare Function Delete Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function Delete_all_records Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Integer
Declare Function Enable_index Lib "WBKERNEL.DLL" (ByVal Tb As Integer, ByVal which As Integer, ByVal enable As Integer) As Integer
Declare Function Find_object Lib "WBKERNEL.DLL" (ByVal ObjName As String, ByVal category As Integer, position As Integer) As Integer
Declare Function Find_object_by_id Lib "WBKERNEL.DLL" (uuid As Any, ByVal category As Integer, position As Integer) As Integer
Declare Function Find2_object Lib "WBKERNEL.DLL" (ByVal ObjName As String, appl_id As Any, ByVal category As Integer, position As Integer) As Integer
Declare Function Free_deleted Lib "WBKERNEL.DLL" (ByVal table As Integer) As Integer
Declare Function Get_data_rights Lib "WBKERNEL.DLL" (ByVal table As Integer, ByVal username As String, ByVal Rights As String, rd_ri As Integer, wr_ri As Integer) As Integer
Declare Function Get_info Lib "WBKERNEL.DLL" (kinf As kernel_info) As Integer
Declare Function Get_object_rights Lib "WBKERNEL.DLL" (ByVal ObjName As String, ByVal category As Integer, ByVal username As String, ByVal Rights As String) As Integer
Declare Function GetSet_fil_size Lib "WBKERNEL.DLL" (ByVal operation As Integer, size As Long) As Integer
Declare Function GetSet_group_role Lib "WBKERNEL.DLL" (ByVal user_or_group As Integer, ByVal group_or_role As Integer, ByVal subject2 As Integer, ByVal operation As Integer, relation As Long) As Integer
Declare Function GetSet_next_user Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long, ByVal attr As Integer, ByVal operation As Integer, ByVal valtype As Integer, value As Any) As Integer
Declare Function GetSet_privils Lib "WBKERNEL.DLL" (ByVal user_group_role As Integer, ByVal subject_categ As Integer, ByVal table As Integer, ByVal recnum As Long, ByVal operation As Integer, privils As Any) As Integer
Declare Function Hours Lib "WBKERNEL.DLL" (ByVal Tm As Long) As Integer
Declare Function InitWBMail Lib "WBKERNEL.DLL" (ByVal Profile As String, ByVal PassWord As String) As Integer
Declare Function InitWBMail602 Lib "WBKERNEL.DLL" (ByVal EmiPath As String, ByVal UserID As String, ByVal PassWord As String) As Integer
Declare Function Insert Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Long
Declare Function Insert_object Lib "WBKERNEL.DLL" (ByVal ObjName As String, ByVal category As Integer, objnum As Integer) As Integer
Declare Function interf_init Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal user As Integer) As Integer
Declare Function LetterAddAddr Lib "WBKERNEL.DLL" (ByVal Letter As Long, ByVal Addr As String, ByVal AddrType As String, ByVal CC As Boolean) As Integer
Declare Function LetterAddFile Lib "WBKERNEL.DLL" (ByVal Letter As Long, ByVal fName As String) As Integer
Declare Function LetterCreate Lib "WBKERNEL.DLL" (ByVal Subj As String, ByVal Msg As String, ByVal Flags As Long, lpLetter As Long) As Integer
Declare Function LetterSend Lib "WBKERNEL.DLL" (ByVal Letter As Long) As Integer
Declare Function link_kernel Lib "WBKERNEL.DLL" (ByVal Path As String, ByVal SW_Show As Integer) As Integer
Declare Function Login Lib "WBKERNEL.DLL" (ByVal username As String, ByVal password As String) As Integer
Declare Function Logout Lib "WBKERNEL.DLL" () As Integer
Declare Function Log_write Lib "WBKERNEL.DLL" (ByVal text As String) As Integer
Declare Function Look_up Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal attrname As String, res As Any) As Long
Declare Function Make_date Lib "WBKERNEL.DLL" (ByVal Den As Long, ByVal Mes As Long, ByVal Rok As Long) As Long
Declare Function Make_time Lib "WBKERNEL.DLL" (ByVal Hod As Long, ByVal Min As Long, ByVal Sec As Long, ByVal Sec1000 As Long) As Long
Declare Function Minutes Lib "WBKERNEL.DLL" (ByVal Tm As Long) As Integer
Declare Function money2real Lib "WBKERNEL.DLL" (m As monstr) As Double
Declare Function Open_cursor Lib "WBKERNEL.DLL" (ByVal cursdef As Integer, Curs As Integer) As Integer
Declare Function Open_cursor_direct Lib "WBKERNEL.DLL" (ByVal query As String, Curs As Integer) As Integer
Declare Function Open_subcursor Lib "WBKERNEL.DLL" (ByVal supercurs As Integer, ByVal subcurdef As String, subcurs As Integer) As Integer
Declare Function ODBC_create_connection Lib "WBKERNEL.DLL" (ByVal DsnName As String) As Long
Declare Function ODBC_direct_connection Lib "WBKERNEL.DLL" (ByVal DsnName As String, ByVal ConnString As String) As Long
Declare Function ODBC_find_connection Lib "WBKERNEL.DLL" (ByVal DsnName As String) As Long
Declare Function ODBC_open_cursor Lib "WBKERNEL.DLL" (ByVal connection As Long, Curs As Integer, ByVal query As String) As Integer
Declare Function Owned_cursors Lib "WBKERNEL.DLL" () As Integer
Declare Function Pref Lib "WBKERNEL.DLL" (ByVal S1 As String, ByVal S2 As String) As Integer
Declare Function Quarter Lib "WBKERNEL.DLL" (ByVal dt As Long) As Integer
Declare Function Query_optimization Lib "WBKERNEL.DLL" (ByVal query As String, ByVal buf As String, ByVal bufsize As Long) As Integer
Declare Function Read_ind Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, buffer As Any) As Integer
Declare Function Read_ind_str Lib "WBKERNEL.DLL" Alias "Read_ind" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal buffer As String) As Integer
Declare Function Read_ind_cnt Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, count As Integer) As Integer
Declare Function Read_len Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, size As Long) As Integer
Declare Function Read_lock_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function Read_lock_table Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Integer
Declare Function Read_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long, buf As Any, ByVal datasize As Integer) As Integer
Declare Function Read_unlock_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function Read_unlock_table Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Integer
Declare Function Read_var Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal start As Long, ByVal size As Long, buffer As Any, psize As Long) As Integer
Declare Function Read_var_str Lib "WBKERNEL.DLL" Alias "Read_var" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal start As Long, ByVal size As Long, ByVal buffer As String, psize As Long) As Integer
Declare Function real2money Lib "WBKERNEL.DLL" (ByVal d As Double, m As monstr) As Integer
Declare Function Rec_cnt Lib "WBKERNEL.DLL" (ByVal Curs As Integer, recnum As Long) As Integer
Declare Function Relist_objects Lib "WBKERNEL.DLL" () As Integer
Declare Function Replace_table Lib "WBKERNEL.DLL" (ByVal Source_tab As Integer, ByVal Dest_tab As Integer, ByVal Ind_redef As String) As Integer
Declare Function Repl_control Lib "WBKERNEL.DLL" (ByVal optype As Integer, ByVal opparsize As Integer, ByVal opparam As String) As Integer
Declare Function Reset_replication Lib "WBKERNEL.DLL" () As Integer
Declare Function Restore_table Lib "WBKERNEL.DLL" (ByVal table As Integer, ByVal filename As String) As Integer
Declare Function Roll_back Lib "WBKERNEL.DLL" () As Integer
Declare Function Save_table Lib "WBKERNEL.DLL" (ByVal table As Integer, ByVal filename As String) As Integer
Declare Function Sec1000 Lib "WBKERNEL.DLL" (ByVal Tm As Long) As Integer
Declare Function Seconds Lib "WBKERNEL.DLL" (ByVal Tm As Long) As Integer
Declare Function Set_application Lib "WBKERNEL.DLL" (ByVal applname As String) As Integer
Declare Function Set_data_rights Lib "WBKERNEL.DLL" (ByVal table As Integer, ByVal username As String, ByVal Rights As String, ByVal rd_ri As Integer, ByVal wr_ri As Integer) As Integer
Declare Function Set_object_rights Lib "WBKERNEL.DLL" (ByVal ObjName As String, ByVal category As Integer, ByVal username As String, ByVal Rights As String) As Integer
Declare Function Set_password Lib "WBKERNEL.DLL" (ByVal Usernm As String, ByVal password As String) As Integer
Declare Function Set_sql_option Lib "WBKERNEL.DLL" (ByVal optmask As Long, ByVal optval As Long) As Integer
Declare Function Signature Lib "WBKERNEL.DLL" (ByVal hParent As Integer, ByVal cursor As Integer, ByVal recnum As Long, ByVal attr As Integer, ByVal create As Integer, param As Any) As Integer
Declare Function SQL_drop Lib "WBKERNEL.DLL" (ByVal handle As Long) As Integer
Declare Function SQL_execute Lib "WBKERNEL.DLL" (ByVal statement As String, results As Long) As Integer
Declare Function SQL_exec_prepared Lib "WBKERNEL.DLL" (ByVal handle As Long, results As Long, count As Long) As Integer
Declare Function SQL_prepare Lib "WBKERNEL.DLL" (ByVal statement As String, handle As Long) As Integer
Declare Function Start_transaction Lib "WBKERNEL.DLL" () As Integer
Declare Function Substr Lib "WBKERNEL.DLL" (ByVal S1 As String, ByVal S2 As String) As Integer
Declare Function Super_recnum Lib "WBKERNEL.DLL" (ByVal subcursor As Integer, ByVal supercursor As Integer, ByVal subrecnum As Long, superrecnum As Long) As Integer
Declare Function Sz_error Lib "WBKERNEL.DLL" () As Integer
Declare Function Sz_warning Lib "WBKERNEL.DLL" () As Integer
Declare Function TakeMailToRemOffice Lib "WBKERNEL.DLL" () As Integer
Declare Function timestamp2date Lib "WBKERNEL.DLL" (ByVal dtm As Long) As Long
Declare Function timestamp2time Lib "WBKERNEL.DLL" (ByVal dtm As Long) As Long
Declare Function Today Lib "WBKERNEL.DLL" () As Long
Declare Function Translate Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal crec As Long, ByVal tbord As Integer, trec As Long) As Integer
Declare Function Undelete Lib "WBKERNEL.DLL" (ByVal table As Integer, ByVal position As Long) As Integer
Declare Function Uninst_table Lib "WBKERNEL.DLL" (ByVal table As Integer) As Integer
Declare Function User_in_group Lib "WBKERNEL.DLL" (ByVal user As Integer, ByVal group As Integer, state As Integer) As Integer
Declare Function User_to_group Lib "WBKERNEL.DLL" (ByVal user As Integer, ByVal group As Integer, ByVal state As Integer) As Integer
Declare Function waiting Lib "WBKERNEL.DLL" (ByVal timeout As Long) As Integer
Declare Function Who_am_I Lib "WBKERNEL.DLL" () As String
Declare Function WinBase602_version Lib "WBKERNEL.DLL" () As Long
Declare Function Write_ind Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, buffer As Any, ByVal size As Integer) As Integer
Declare Function Write_ind_str Lib "WBKERNEL.DLL" Alias "Write_ind" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal buffer As String, ByVal size As Integer) As Integer
Declare Function Write_ind_cnt Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, count As Integer) As Integer
Declare Function Write_len Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal size As Integer) As Integer
Declare Function Write_var Lib "WBKERNEL.DLL" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal start As Long, ByVal size As Long, buffer As Any) As Integer
Declare Function Write_var_str Lib "WBKERNEL.DLL" Alias "Write_var" (ByVal curstab As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal start As Long, ByVal size As Long, ByVal buffer As String) As Integer
Declare Function Write_lock_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function Write_lock_table Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Integer
Declare Function Write_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long, buf As Any, ByVal datasize As Integer) As Integer
Declare Function Write_unlock_record Lib "WBKERNEL.DLL" (ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function Write_unlock_table Lib "WBKERNEL.DLL" (ByVal Curs As Integer) As Integer

Declare Function WBAppend Lib "WBKERNEL.DLL" Alias "Append" (ByVal Curs As Integer) As Long
Declare Function WBDay Lib "WBKERNEL.DLL" Alias "Day" (ByVal dt As Long) As Integer
Declare Function WBDelete Lib "WBKERNEL.DLL" Alias "Delete" (ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function WBInsert Lib "WBKERNEL.DLL" Alias "Insert" (ByVal Curs As Integer) As Long
Declare Function WBLike Lib "WBKERNEL.DLL" Alias "Like" (ByVal S1 As String, ByVal S2 As String) As Integer
Declare Function WBMonth Lib "WBKERNEL.DLL" Alias "Month" (ByVal dt As Long) As Integer
Declare Function WBNow Lib "WBKERNEL.DLL" Alias "Now" () As Long
Declare Function WBRead Lib "WBKERNEL.DLL" Alias "Read" (ByVal Curs As Integer, ByVal position As Long, ByVal attr As Integer, Acc As Any, buffer As Any) As Integer
Declare Function WBUndelete Lib "WBKERNEL.DLL" Alias "Undelete" (ByVal table As Integer, ByVal position As Long) As Integer
Declare Function WBWrite Lib "WBKERNEL.DLL" Alias "Write" (ByVal Curs As Integer, ByVal position As Long, ByVal attr As Integer, Acc As Any, buffer As Any, ByVal datasize As Integer) As Integer
Declare Function WBYear Lib "WBKERNEL.DLL" Alias "Year" (ByVal dt As Long) As Integer

Declare Sub cd_concurrent Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal state As Integer)
Declare Sub cd_Enable_task_switch Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal enable As Integer)
Declare Sub cd_interf_close Lib "WBKERNEL.DLL" (ByVal cdp As Long)
Declare Sub cd_send_package Lib "WBKERNEL.DLL" (ByVal cdp As Long)
Declare Sub cd_start_package Lib "WBKERNEL.DLL" (ByVal cdp As Long)

Declare Function cd_Add_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, recs As Long, ByVal numofrecs As Integer) As Integer
Declare Function cd_Am_I_db_admin Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_answered Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Append Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Long
Declare Function cd_Attribute_info Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal table As Integer, ByVal attrname As String, attrnum As Byte, attrtype As Byte, attrmult As Byte, attrspecif As Byte) As Integer
Declare Function cd_Available_memory Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal loc As Integer) As Long
Declare Function cd_Break Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_C_avg Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function cd_C_count Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Long) As Integer
Declare Function cd_C_max Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function cd_C_min Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function cd_C_sum Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal attrname As String, ByVal condition As String, result As Any) As Integer
Declare Function cd_Close_cursor Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Integer
Declare Function cd_Commit Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Compact_database Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal margin As Long) As Integer
Declare Function cd_Compact_table Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal table As Integer) As Integer
Declare Function cd_Create2_link Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal sourcename As String, appl_id As Any, ByVal category As Integer, ByVal linkname As String) As Integer
Declare Function cd_Create_link Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal sourcename As String, sourceappl As Any, ByVal category As Integer, ByVal linkname As String) As Integer
Declare Function cd_Create_user Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal logname As String, ByVal name1 As String, ByVal name2 As String, ByVal name3 As String, ByVal identif As String, homesrv As Any, ByVal password As String, objnum As Integer) As Integer
Declare Function cd_Database_integrity Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal repair As Integer, lost_blocks As Long, lost_dheap As Long, nonex_blocks As Long, cross_link As Long, damaged_tabdef As Long) As Integer
Declare Function cd_Delete Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function cd_Delete_all_records Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Integer
Declare Function cd_Enable_index Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal table As Integer, ByVal which As Integer, ByVal enable As Integer) As Integer
Declare Function cd_Find_object Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal name As String, ByVal category As Integer, position As Integer) As Integer
Declare Function cd_Find_object_by_id Lib "WBKERNEL.DLL" (ByVal cdp As Long, uuid As Any, ByVal category As Integer, position As Integer) As Integer
Declare Function cd_Find2_object Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal name As String, appl_id As Any, ByVal category As Integer, position As Integer) As Integer
Declare Function cd_Get_info Lib "WBKERNEL.DLL" (ByVal cdp As Long, kinf As kernel_info) As Integer
Declare Function cd_GetSet_fil_size Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal operation As Integer, size As Long) As Integer
Declare Function cd_GetSet_next_user Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal position As Long, ByVal attr As Integer, ByVal operation As Integer, ByVal valtype As Integer, value As Any) As Integer
Declare Function cd_GetSet_privils Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal user_group_role As Integer, ByVal subject_categ As Integer, ByVal table As Integer, ByVal recnum As Long, ByVal operation As Integer, privils As Any) As Integer
Declare Function cd_GetSet_group_role Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal user_or_group As Integer, ByVal group_or_role As Integer, ByVal subject2 As Integer, ByVal operation As Integer, relation As Long) As Integer
Declare Function cd_Free_deleted Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal table As Integer) As Integer
Declare Function cd_Insert Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Long
Declare Function cd_Insert_object Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal name As String, ByVal category As Integer, objnum As Integer) As Integer
Declare Function cd_Login Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal username As String, ByVal password As String) As Integer
Declare Function cd_Logout Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Log_write Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal text As String) As Integer
Declare Function cd_Look_up Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal attrname As String, res As Any) As Long
Declare Function cd_ODBC_create_connection Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal dsn_name As String) As Long
Declare Function cd_ODBC_direct_connection Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal conn_string As String) As Long
Declare Function cd_ODBC_find_connection Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal dsn_name As String) As Long
Declare Function cd_ODBC_open_cursor Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal connection As Long, Curs As Integer, ByVal query As String) As Integer
Declare Function cd_Open_cursor Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursdef As Integer, Curs As Integer) As Integer
Declare Function cd_Open_cursor_direct Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal query As String, Curs As Integer) As Integer
Declare Function cd_Open_subcursor Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal supercurs As Integer, ByVal subcurdef As String, subcurs As Integer) As Integer
Declare Function cd_Owned_cursors Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Query_optimization Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal query As String, ByVal buf As String, ByVal bufsize As Long) As Integer
Declare Function cd_Read Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, access As Any, buffer As Any) As Integer
Declare Function cd_Read_ind Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, data As Any) As Integer
Declare Function cd_Read_ind_cnt Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, count As Integer) As Integer
Declare Function cd_Read_len Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, size As Long) As Integer
Declare Function cd_Read_lock_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function cd_Read_lock_table Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Integer
Declare Function cd_Read_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, buf As Any, ByVal datasize As Integer) As Integer
Declare Function cd_Read_unlock_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function cd_Read_unlock_table Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Integer
Declare Function cd_Read_var Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal start As Long, ByVal size As Long, buf As Any, psize As Long) As Integer
Declare Function cd_Rec_cnt Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, recnum As Long) As Integer
Declare Function cd_Relist_objects Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Repl_control Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal optype As Integer, ByVal opparsize As Integer, ByVal opparam As String) As Integer
Declare Function cd_Reset_replication Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Roll_back Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Set_application Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal applname As String) As Integer
Declare Function cd_Set_password Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal reserved As String, ByVal password As String) As Integer
Declare Function cd_Set_sql_option Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal optmask As Long, ByVal optval As Long) As Integer
Declare Function cd_Signature Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal hParent As Integer, ByVal cursor As Integer, ByVal recnum As Long, ByVal attr As Integer, ByVal create As Integer, param As Any) As Integer
Declare Function cd_SQL_drop Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal handle As Long) As Integer
Declare Function cd_SQL_exec_prepared Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal handle As Long, results As Long, count As Long) As Integer
Declare Function cd_SQL_execute Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal statement As String, results As Long) As Integer
Declare Function cd_SQL_prepare Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal statement As String, handle As Long) As Integer
Declare Function cd_Start_transaction Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Super_recnum Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal subcursor As Integer, ByVal supercursor As Integer, ByVal subrecnum As Long, superrecnum As Long) As Integer
Declare Function cd_Sz_error Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Sz_warning Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Translate Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal crec As Long, ByVal tbord As Integer, trec As Long) As Integer
Declare Function cd_Undelete Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal table As Integer, ByVal position As Long) As Integer
Declare Function cd_waiting Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal timeout As Integer)
Declare Function cd_WinBase602_version Lib "WBKERNEL.DLL" (ByVal cdp As Long) As Integer
Declare Function cd_Who_am_I Lib "WBKERNEL.DLL" (ByVal cdp As Long) As String
Declare Function cd_Write Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, access As Any, buffer As Any, ByVal datasize As Integer) As Integer
Declare Function cd_Write_ind Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, data As Any, ByVal datasize As Integer) As Integer
Declare Function cd_Write_ind_cnt Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal count As Integer) As Integer
Declare Function cd_Write_len Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal size As Long) As Integer
Declare Function cd_Write_lock_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function cd_Write_lock_table Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Integer
Declare Function cd_Write_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, buf As Any, ByVal datasize As Integer) As Integer
Declare Function cd_Write_unlock_record Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer, ByVal position As Long) As Integer
Declare Function cd_Write_unlock_table Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal Curs As Integer) As Integer
Declare Function cd_Write_var Lib "WBKERNEL.DLL" (ByVal cdp As Long, ByVal cursnum As Integer, ByVal position As Long, ByVal attr As Integer, ByVal index As Integer, ByVal start As Long, ByVal size As Long, buf As Any) As Integer
'
' Typy atributu
'
Global Const ATT_BOOLEAN = 1          ' Boolean
Global Const ATT_CHAR = 2             ' Char
Global Const ATT_INT16 = 3            ' Short
Global Const ATT_INT32 = 4            ' Integer
Global Const ATT_MONEY = 5            ' Money
Global Const ATT_FLOAT = 6            ' Real
Global Const ATT_STRING = 7           ' String
Global Const ATT_CSSTRING = 8         ' CSString
Global Const ATT_CSISTRING = 9        ' CSIString
Global Const ATT_BINARY = 10          ' Binary
Global Const ATT_DATE = 11            ' Date
Global Const ATT_TIME = 12            ' Time
Global Const ATT_TIMESTAMP = 13       ' Timestamp
Global Const ATT_PTR = 14             ' Pointer
Global Const ATT_BIPTR = 15           ' Bipointer
Global Const ATT_AUTOR = 16           ' sledovaci atribut: Autorizace
Global Const ATT_DATIM = 17           ' sledovaci atribut: Datumovka
Global Const ATT_HIST = 18            ' sledovaci atribut: Historie
Global Const ATT_RASTER = 19          ' Raster
Global Const ATT_TEXT = 20            ' Text
Global Const ATT_NOSPEC = 21          ' Nospec
Global Const ATT_SIGNAT = 22          ' Signature

