Attribute VB_Name = "WBPREZEN"
'****************************************************************************
'
' Definice konstant procedur prezentacni vrstvy WinBase602 pro Visual Basic
'
' Verze ze dne 12. 5. 1995
'
'****************************************************************************
'
'****** Priznaky "flags" pro Open_view, Select_records a Bind_records: ******
'
Global Const NO_EDIT = &H1              ' zakaz editace v pohledu
Global Const NO_INSERT = &H2            ' zakaz vkladani zaznamu
Global Const NO_MOVE = &H4              ' zakaz prechodu mezi zaznamy
Global Const NO_DELETE = &H8            ' zakaz ruseni zaznamu
Global Const DEL_RECS = &H10            ' zobrazovat i zrusene zaznamy
Global Const AUTO_CURSOR = &H40         ' uzavrit cursor pri zavirani pohledu
Global Const COUNT_RECS = &H80          ' spocitat zaznamy pri otevreni pohledu
Global Const MODAL_VIEW = &H100         ' otevrit pohled jako modalni popup okno
Global Const QUERY_VIEW = &H10000       ' otevrit pohled pro zadavani dotazu
Global Const PARENT_CURSOR = &H80000    ' pouzit kurzor a cache z parent-pohledu
Global Const MODELESS_VIEW = &H100000   ' otevrit pohled jako popup okno
'
' Hodnota "base" pro Open_view, Print_view, Bind_records a Select_records
'
Global Const NO_REDIR = &HFFFF
'
' Cislo okna MDI-Client v aplikacich WinBase
'
Global Const CLIENT_ID = 1
'
' Parametr typu WORD zpravy WM_COMMAND pozadujici otevreni stranky napovedy
' cislo LOWORD(lParam)
'
Global Const IDM_HELP_GENERIC = 239
'
' Hodnota vracena filtrovaci funkci pokud zprava neni ji zpracovana
'
Global Const MSG_NOT_PROCESSED = -3&
'
' Parametry funkce Reset_view
'
Global Const RESET_VISIBLILITY = &H0    ' nastaveni viditelnosti a aktivity slozek
Global Const RESET_CONTROLS = &H1       ' nastaveni obsahu slozek
Global Const RESET_DELETIONS = &H5      ' odstraneni zrusenych a pridani vlozenych zaznamu
Global Const RESET_CACHE = &H100        ' nove naplneni cache
Global Const RESET_CURSOR = &H200       ' nove otevreni ODBC kurzoru
Global Const RESET_COMBOS = &H800       ' nove naplneni comb
'
' Oznaceni formatu dat
'
Global Const IMPEXP_FORMAT_WINBASE = 0
Global Const IMPEXP_FORMAT_TEXT_COLUMNS = 1
Global Const IMPEXP_FORMAT_TEXT_CSV = 2
Global Const IMPEXP_FORMAT_DBASE = 3
Global Const IMPEXP_FORMAT_FOXPRO = 4
Global Const IMPEXP_FORMAT_ODBC = 5
Global Const IMPEXP_FORMAT_CURSOR = 6
Global Const IMPEXP_FORMAT_TABLE = 10
Global Const IMPEXP_FORMAT_TABLE_REIND = 11
'
'******************** Automaticky generovane zpravy: ************************
'
Global Const NOTIF_CREATE = 1              ' pohled byl otevren
Global Const NOTIF_DESTROY = 2             ' pohled byl uzavren
Global Const NOTIF_RECENTER = 3            ' vybran novy zaznam v pohledu
Global Const NOTIF_CHANGE = 4              ' zmenena slozka pohledu
Global Const NOTIF_RESET_RECORD = 5        ' vybrany zaznam se prekresluje
Global Const NOTIF_RESET_VIEW = 6          ' cely pohled se prekresluje
Global Const NOTIF_SUBCURSOR = 7           ' pohled prechazi k subkurzoru QBE
Global Const NOTIF_SUPERCURSOR = 8         ' pohled se vraci k superkurzoru
Global Const NOTIF_CREATE_DEPENDENT = 9    ' otevren zavisly pohled
Global Const NOTIF_DESTROY_DEPENDENT = 10  ' uzavren zavisly pohled
Global Const NOTIF_CREATE_EDITOR = 11      ' otevren textovy editor
Global Const NOTIF_DESTROY_EDITOR = 12     ' uzavren textovy editor
Global Const NOTIF_CREATE_VIEWER = 13      ' otevreno okno s obrazkem
Global Const NOTIF_DESTROY_VIEWER = 14     ' uzavreno okno s obrazkem
'
'************** Typy toolbaru pro zpravu SZM_SETTOOLBAR *********************
'
Global Const WB_TB_UNKNOWN = 0
Global Const WB_TB_DEFAULT = 1
Global Const WB_TB_VIEW = 2
Global Const WB_TB_VIEWNOMOVE = 3
Global Const WB_TB_VIEWPROJ = 4
Global Const WB_TB_VIEWQUERY = 5
Global Const WB_TB_HIST = 6
Global Const WB_TB_INDEX = 7
Global Const WB_TB_EDITTEXT = 8
Global Const WB_TB_PREVIEW = 9
'
' ******************* Zpravy pro ovladani pohledu ***************************
'
Global Const WM_SZM_BASE = 1524
Global Const SZM_IS_VISIBLE = WM_SZM_BASE + 50
Global Const SZM_IS_ENABLED = WM_SZM_BASE + 51
Global Const SZM_GET_ACCESS = WM_SZM_BASE + 54
Global Const SZM_RECORD_ENTER = WM_SZM_BASE + 56
Global Const SZM_NEXTREC = WM_SZM_BASE + 60
Global Const SZM_PREVREC = WM_SZM_BASE + 61
Global Const SZM_FIRSTREC = WM_SZM_BASE + 62
Global Const SZM_LASTREC = WM_SZM_BASE + 63
Global Const SZM_NEXTPAGE = WM_SZM_BASE + 64
Global Const SZM_PREVPAGE = WM_SZM_BASE + 65
Global Const SZM_FIRSTITEM = WM_SZM_BASE + 66
Global Const SZM_LASTITEM = WM_SZM_BASE + 67
Global Const SZM_NEXTTAB = WM_SZM_BASE + 68
Global Const SZM_PREVTAB = WM_SZM_BASE + 69
Global Const SZM_DOWNITEM = WM_SZM_BASE + 70
Global Const SZM_UPITEM = WM_SZM_BASE + 71
Global Const SZM_INDEX = WM_SZM_BASE + 72
Global Const SZM_QBE = WM_SZM_BASE + 74
Global Const SZM_UNLIMIT = WM_SZM_BASE + 75
Global Const SZM_BIND = WM_SZM_BASE + 76
Global Const SZM_SETIPOS = WM_SZM_BASE + 77
Global Const SZM_INSERT = WM_SZM_BASE + 78
Global Const SZM_DELREC = WM_SZM_BASE + 79
Global Const SZM_DELALL = WM_SZM_BASE + 80
Global Const SZM_REC_STATUS = WM_SZM_BASE + 82
Global Const SZM_DELASK = WM_SZM_BASE + 83
Global Const SZM_DO_ACTION = WM_SZM_BASE + 84
Global Const SZM_SETEPOS = WM_SZM_BASE + 85
Global Const SZM_HELP = WM_SZM_BASE + 86
Global Const SZM_RESET = WM_SZM_BASE + 87
Global Const SZM_ORDER = WM_SZM_BASE + 88
Global Const SZM_PRINT = WM_SZM_BASE + 89
Global Const SZM_ACCEPT_Q = WM_SZM_BASE + 90
Global Const SZM_UNBINDDEL = WM_SZM_BASE + 91
Global Const SZM_GET_NAME = WM_SZM_BASE + 93
Global Const SZM_GET_TEXT_VAL = WM_SZM_BASE + 94
Global Const SZM_PUT_TEXT_VAL = WM_SZM_BASE + 95
Global Const SZM_GET_REF_VAL = WM_SZM_BASE + 96
Global Const SZM_GET_FEATURES = WM_SZM_BASE + 97
Global Const SZM_GET_ROW_HEADER = WM_SZM_BASE + 98
Global Const SZM_DELETE_COLUMN = WM_SZM_BASE + 99
Global Const SZM_ALT_TEXT_VAL = WM_SZM_BASE + 100
Global Const SZM_INSERT_COLUMN = WM_SZM_BASE + 101
Global Const SZM_GET_TOOLBAR = WM_SZM_BASE + 102
Global Const SZM_SELECT_ME = WM_SZM_BASE + 103
Global Const SZM_LOCKS = WM_SZM_BASE + 104
Global Const SZM_DROP = WM_SZM_BASE + 105
Global Const SZM_SET_EDIT_POS = WM_SZM_BASE + 106
Global Const SZM_EXPORTRQ = WM_SZM_BASE + 107
Global Const SZM_IMPORTRQ = WM_SZM_BASE + 108
Global Const SZM_SETSTATUSTEXT = WM_SZM_BASE + 212
Global Const SZM_SETTOOLBAR = WM_SZM_BASE + 213


Global Const MI_FSED_SAVE = 501
Global Const MI_FSED_CLOSE = 502
Global Const MI_FSED_PRINT_TEXT = 505
Global Const MI_FSED_PRINT_BLOCK = 506
Global Const MI_FSED_SELPRINTER = 507
Global Const MI_FSED_CUT = 511
Global Const MI_FSED_COPY = 512
Global Const MI_FSED_PASTE = 513
Global Const MI_FSED_DELETE = 514
Global Const MI_FSED_HIDE = 515
Global Const MI_FSED_BSAVE = 516
Global Const MI_FSED_BLOAD = 517
Global Const MI_FSED_ABSAVE = 518
Global Const MI_FSED_SELALL = 519
Global Const MI_FSED_DOSSAVE = 520
Global Const MI_FSED_DOSLOAD = 521
Global Const MI_FSED_WRAP = 526
Global Const MI_FSED_ALIGN = 527
Global Const MI_FSED_FORMAT = 528
Global Const MI_FSED_FIND = 551
Global Const MI_FSED_REPLACE = 552
Global Const MI_FSED_REFIND = 553
'
' Konstanty pro vlastnosti ViewSrcCateg a DataSrcCateg OLE objektu a PohledXu
'
Global Const CTG_TABLE = 1
Global Const CTG_CURSOR = 2
Global Const CTG_SELECT = 3

Global Const CTG_VIEWNAME = 1
Global Const CTG_VIEWSRC = 2


Global Const MULTIREC = 1
Global Const MULTITAB = 2

Global Const CO_FLAG_NOEXPORT = &H40
Global Const CO_FLAG_NOEXPORTD = &H10

Global Const TOKEN_HOLD = 0
Global Const TOKEN_FREE = 1
Global Const TOKEN_REQ = 2
Global Const TOKEN_INVAL = 3
Global Const TOKEN_HAVE_I = 4
Global Const TOKEN_HOLD_I = 5
'
'************************** Procedury a funkce ******************************
'
Declare Function Acreate_user Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer) As Integer
Declare Function Active_view Lib "WBPREZEN.DLL" () As Integer
Declare Function Alogin Lib "WBPREZEN.DLL" (ByVal parent As Integer) As Integer
Declare Function Amodify_user Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer, ByVal objnum As Integer) As Integer
Declare Function AReplicate Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer, ByVal pull As Boolean) As Integer
Declare Function Aset_password Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer) As Integer
Declare Function AToken_control Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer, ByVal curstab As Integer, ByVal recnum As Long) As Integer
Declare Function Attribute_info Lib "WBPREZEN.DLL" (ByVal table As Integer, ByVal attrname As String, atrnum As Integer, attrtype As Integer, attrmult As Integer, attrspecif As Integer) As Integer
Declare Function Chng_component_flag Lib "WBPREZEN.DLL" (ByVal cdp As Integer, ByVal cat As Integer, ByVal name As String, ByVal mask As Integer, ByVal setbit As Integer) As Integer
Declare Function Commit_view Lib "WBPREZEN.DLL" (ByVal hView As Integer, ByVal can_ask As Integer, ByVal report_error As Integer) As Integer
Declare Function Current_item Lib "WBPREZEN.DLL" (ByVal hView As Integer) As Integer
Declare Function Data_export Lib "WBPREZEN.DLL" (ByVal objnum As Integer, ByVal categ As Integer, ByVal fname As String, ByVal Fmt As Integer, ByVal recode As Integer) As Integer
Declare Function Data_import Lib "WBPREZEN.DLL" (ByVal tablename As String, ByVal index_past As Integer, ByVal fname As String, ByVal Fmt As Integer, ByVal recode As Integer) As Integer
Declare Function DefWinBaseFrameProc Lib "WBPREZEN.DLL" (ByVal hWnd As Integer, ByVal uMsg As Integer, ByVal wPar As Integer, ByVal lPar As Long) As Long
Declare Function Edit_privils Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer, tbs As Any, recnums As Any, ByVal multioper As Integer) As Integer
Declare Function Edit_query Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal name As String) As Integer
Declare Function Edit_relation Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer, ByVal subject1 As Integer, ByVal subjnum As Integer, ByVal subject2 As Integer) As Integer
Declare Function Edit_view Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal name As String) As Integer
Declare Function Enum_attributes Lib "WBPREZEN.DLL" (ByVal table As Integer, ByVal callback As Long) As Integer
Declare Function Exec_statements Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal statements As String) As Integer
Declare Function Export_appl Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal hParent As Integer, ByVal with_data As Boolean, ByVal with_role_privils As Boolean, ByVal with_usergrp As Boolean) As Integer
Declare Function Export_exx Lib "WBPREZEN.DLL" (ByVal cdp As Long,  ByVal hParent As Integer) As Integer
Declare Function From_xbase Lib "WBPREZEN.DLL" (ByVal tabname As String, ByVal fname As String, ByVal is_dbase As Integer, ByVal recode As Integer) As Integer
Declare Function GetClient Lib "WBPREZEN.DLL" (ByVal hFrame As Integer) As Integer
Declare Function Get_fcursor Lib "WBPREZEN.DLL" (ByVal id As Integer, Curs As Integer, Flags As Integer) As Integer
Declare Function Get_item_value Lib "WBPREZEN.DLL" (ByVal hView As Integer, ByVal intrec As Long, ByVal itemid As Integer, value As Any) As Integer
Declare Function Get_var_address Lib "WBPREZEN.DLL" (ByVal Vname As String) As Long
Declare Function Get_view_pos Lib "WBPREZEN.DLL" (ByVal id As Integer, irec As Long, erec As Long) As Integer
Declare Function Input_box Lib "WBPREZEN.DLL" (ByVal caption As String, text As Any, ByVal maxlen As Integer) As Integer
Declare Function Mail_parameters Lib "WBPREZEN.DLL" (ByVal hParent As Integer, ByVal parstring As String, ByVal buflen As Integer) As Integer
Declare Function Main_menu Lib "WBPREZEN.DLL" (ByVal menudef As String) As Integer
Declare Function Move_data Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal move_descr_obj As Integer, ByVal inpname As String, ByVal inpobj As Integer, ByVal outname As String, ByVal inpformat As Integer, ByVal outformat As Integer, ByVal inpcode As Integer, ByVal outcode As Integer, ByVal silent As Integer) As Integer
Declare Function Open_project Lib "WBPREZEN.DLL" (ByVal projname As String) As Integer
Declare Function Open_query_view Lib "WBPREZEN.DLL" (ByVal viewsource As String, ByVal basecur As Integer, ByVal order As Integer, ByVal query As String, ByVal filter As Long, ByVal hParent As Integer, viewid As Integer) As Integer
Declare Function Open_view Lib "WBPREZEN.DLL" (ByVal viewdef As String, ByVal basecur As Integer, ByVal Flags As Long, ByVal position As Long, ByVal filter As Long, ByVal parent_id As Integer, id As Integer) As Integer
Declare Function Page_setup Lib "WBPREZEN.DLL" (ByVal hParent As Integer) As Integer
Declare Function Printer_dialog Lib "WBPREZEN.DLL" (ByVal parent As Integer) As Integer
Declare Function Printer_select Lib "WBPREZEN.DLL" (ByVal pn As String, ByVal pt As String, ByVal ot As Integer, ByVal sz As Integer, ByVal bin As Integer, ByVal qt As Integer, ByVal dx As Integer, ByVal cl As Integer, ByVal TT As Integer) As Integer
Declare Function Print_copies Lib "WBPREZEN.DLL" (ByVal copies As Integer, ByVal collate As Integer) As Integer
Declare Function Print_opt Lib "WBPREZEN.DLL" (ByVal parent As Integer) As Integer
Declare Function Print_optEx Lib "WBPREZEN.DLL" (ByVal hParent As Integer, ByVal IsLabel As Boolean) As Integer
Declare Function Print_view Lib "WBPREZEN.DLL" (ByVal viewdef As String, ByVal basecur As Integer, ByVal firstrec As Long, ByVal lastrec As Long, ByVal filter As Long) As Integer
Declare Function Register_rec_syn Lib "WBPREZEN.DLL" (ByVal hWnd1 As Integer, ByVal hWnd2 As Integer) As Integer
Declare Function Relate_record Lib "WBPREZEN.DLL" (ByVal local_attr As String, ByVal viewdef As String, ByVal Curs As Integer, ByVal Flags As Long, ByVal filter As Long, viewid As Integer, ByVal remote_attr As String) As Integer
Declare Function QBE_state Lib "WBPREZEN.DLL" (ByVal hView As Integer) As Long
Declare Function Select_file Lib "WBPREZEN.DLL" (ByVal parent As Integer, ByVal filename As String) As Integer
Declare Function Select_directory Lib "WBPREZEN.DLL" (ByVal hParent As Integer, ByVal dirname As String) As Integer
Declare Function Select_records Lib "WBPREZEN.DLL" (ByVal viewdef As String, ByVal basecur As Integer, ByVal Flags As Long, ByVal limit As Integer, bindl As Long, ByVal filter As Long, ByVal p_id As Integer, id As Integer) As Integer
Declare Function Set_item_value Lib "WBPREZEN.DLL" (ByVal hView As Integer, ByVal intrec As Long, ByVal itemid As Integer, value As Any) As Integer
Declare Function Set_ext_pos Lib "WBPREZEN.DLL" (ByVal id As Integer, ByVal pos As Long, ByVal itemnum As Integer) As Integer
Declare Function Set_fcursor Lib "WBPREZEN.DLL" (ByVal id As Integer, ByVal Curs As Integer, ByVal Flags As Long) As Integer
Declare Function Set_int_pos Lib "WBPREZEN.DLL" (ByVal id As Integer, ByVal pos As Long, ByVal itemnum As Integer) As Integer
Declare Function Signalize Lib "WBPREZEN.DLL" () As Integer
Declare Function Tab_page Lib "WBPREZEN.DLL" (ByVal hView As Integer, ByVal id As Integer) As Long
Declare Function To_xbase Lib "WBPREZEN.DLL" (ByVal tabname As String, ByVal fname As String, ByVal is_dbase As Integer, ByVal recode As Integer) As Integer
Declare Function Token_control Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal curstab As Integer, ByVal recnum As Long, ByVal oper As Integer) As Integer
Declare Function Yesno_box Lib "WBPREZEN.DLL" (ByVal caption As String, ByVal text As String) As Integer
Declare Function WinBaseFrameProc Lib "WBPREZEN.DLL" (ByVal hWnd As Integer, ByVal uMsg As Integer, ByVal wPar As Integer, ByVal lPar As Long) As Long
Declare Function Xbase_export Lib "WBPREZEN.DLL" (ByVal Curs As Integer, ByVal cat As Integer, ByVal fname As String, ByVal is_dbase As Integer, ByVal recode As Integer) As Integer

Declare Sub Close_all_views Lib "WBPREZEN.DLL" ()
Declare Sub Close_view Lib "WBPREZEN.DLL" (ByVal id As Integer)
Declare Sub ConWinBaseFrameProc Lib "WBPREZEN.DLL" (ByVal hWnd As Integer, ByVal WndMenu As Integer)
Declare Sub Draw_line Lib "WBPREZEN.DLL" (ByVal id As Integer, ByVal x1 As Integer, ByVal y1 As Integer, ByVal x2 As Integer, ByVal y2 As Integer, ByVal colour As Integer)
Declare Sub Edit_impexp Lib "WBPREZEN.DLL" (ByVal cdp As Long, ByVal name As String)
Declare Sub enable_debug_errors Lib "WBPREZEN.DLL" (ByVal enable As Integer)
Declare Sub Help_file Lib "WBPREZEN.DLL" (ByVal filename As String)
Declare Sub Info_box Lib "WBPREZEN.DLL" (ByVal caption As String, ByVal text As String)
Declare Sub Kernel_error_box Lib "WBPREZEN.DLL" (ByVal errnum As Long)
Declare Sub Pick_window Lib "WBPREZEN.DLL" (ByVal id As Integer)
Declare Sub Print_margins Lib "WBPREZEN.DLL" (ByVal leftmargin As Integer, ByVal rightmargin As Integer, ByVal topmargin As Integer, ByVal bottommargin As Integer)
Declare Sub Put_pixel Lib "WBPREZEN.DLL" (ByVal id As Integer, ByVal x As Integer, ByVal y As Integer, ByVal colour As Integer)
Declare Sub Register_ext_menu Lib "WBPREZEN.DLL" (ByVal hFrame As Integer, ByVal hMenu As Integer, ByVal hWinsubMenu As Integer)
Declare Sub Reset_view Lib "WBPREZEN.DLL" (ByVal id As Integer, ByVal rec As Long, ByVal reload As Integer)
Declare Sub Roll_back_view Lib "WBPREZEN.DLL" (ByVal hView As Integer)
Declare Sub Set_first_label Lib "WBPREZEN.DLL" (ByVal posX As Integer, ByVal posY As Integer)
Declare Sub Set_printer Lib "WBPREZEN.DLL" (ByVal firstrec As Long, ByVal lastrec As Long, ByVal firstpage As Integer, ByVal lastpage As Integer, ByVal direction As Integer, ByVal outfile As String, ByVal leftmargin As Integer)
Declare Sub Set_status_nums Lib "WBPREZEN.DLL" (ByVal num0 As Long, ByVal num1 As Long)
Declare Sub Set_status_text Lib "WBPREZEN.DLL" (ByVal text As String)
Declare Sub Show_help Lib "WBPREZEN.DLL" (ByVal topic As Integer)
Declare Sub Show_help_popup Lib "WBPREZEN.DLL" (ByVal topic As Integer)
Declare Sub View_pattern Lib "WBPREZEN.DLL" (ByVal viewobj As Integer)
'
'******* Typy atributu (vyuziji se pri volani funkce Enum_attributes) ******
'
Global Const ATT_BOOLEAN = 1                ' Boolean
Global Const ATT_CHAR = 2                   ' Char
Global Const ATT_INT16 = 3                  ' Short
Global Const ATT_INT32 = 4                  ' Integer
Global Const ATT_MONEY = 5                  ' Money
Global Const ATT_FLOAT = 6                  ' Real
Global Const ATT_STRING = 7                 ' String
Global Const ATT_CSSTRING = 8               ' CSString
Global Const ATT_CSISTRING = 9              ' CSIString
Global Const ATT_DATE = 10                  ' Date
Global Const ATT_TIME = 11                  ' Time
Global Const ATT_PTR = 12                   ' Pointer
Global Const ATT_BIPTR = 13                 ' Bipointer

Global Const ATT_AUTOR = 14                 ' sledovaci atribut: Autorizace
Global Const ATT_DATIM = 15                 ' sledovaci atribut: Datumovka
Global Const ATT_HIST = 16                  ' sledovaci atribut: Historie

Global Const ATT_RASTER = 17                ' Raster
Global Const ATT_TEXT = 20                  ' Text
Global Const ATT_NOSPEC = 21                ' Nospec
